{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
  };
  outputs = {nixpkgs, ...}: {
    devShells.x86_64-linux = 
      let 
        pkgs = nixpkgs.legacyPackages.x86_64-linux;
      in {
        default = pkgs.mkShell {
          packages = [ 
            pkgs.sqlc
            (pkgs.callPackage ./nix/sql-migrate.nix {})
            (pkgs.callPackage ./nix/actiongraph.nix {})
            pkgs.sqlite
          ];
        };
      };
  };
}