{ stdenv
, lib
, buildGoModule
, fetchFromGitHub
}:

buildGoModule rec {
  pname = "actiongraph";
  version = "1.0.0";

  src = fetchFromGitHub {
    owner = "icio";
    repo = "actiongraph";
    rev = "3cf5d9b3415761ba1efef5d97b2289f4190e0b8c";
    hash = "sha256-EaX8xLDViUsXrkbQ+wM4OdkgL6iVRhZSH4ZT44Cnwj8=";
  };

  vendorHash = "sha256-C1LdcC/SrtpsDdHN+JlKxeOP33FkA3AVixYX063OFTI=";

  ldflags = [
    "-s"
    "-w"
  ];

  doCheck = true;

  meta = with lib; {
    homepage = "https://github.com/icio/actiongraph";
    description = "Go build actiongraph debug visualiser";
    license = licenses.mit;
  };
}